Bug 518447 - Review Request: moblin-panel-myzone - Moblin Panel for MyZone
Review Request: moblin-panel-myzone - Moblin Panel for MyZone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 513452
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-08-20 09:07 EDT by Peter Robinson
Modified: 2009-08-25 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 12:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-08-20 09:07:07 EDT
SPEC: http://pbrobinson.fedorapeople.org/moblin-panel-myzone.spec
SRPM: http://pbrobinson.fedorapeople.org/moblin-panel-myzone-0.0.1-1.fc11.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1617385

Description:
The Moblin mutter panel for MyZone. MyZone allows you to see that status of friends on social networks, chekck what you have on in your calendar, and more.
Comment 1 Michel Alexandre Salim 2009-08-21 18:57:13 EDT
MUST

• rpmlint
  source: clean
  binary:

$ rpmlint moblin-panel-myzone-0.0.1-1.fc11.src.rpm 
moblin-panel-myzone.src: E: description-line-too-long The Moblin mutter panel for MyZone. MyZone allows you to see that status of friends on
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

  Description needs Emacs M-q-ing

• package name:   OK
• spec file name: OK 
• package guideline-compliant: OK
• license complies with guidelines: OK

• license field accurate:
  This is questionable. Unlike some other moblin-panel packages, the only C file in this package does not have a license header. Thus it cannot be possible to determine, per se, whether it's GPLv2 strict or v2+. From precedence, we can guess v2+, but could you prod upstream to add the missing header and/or write a clarification in README ?

• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK (MD5 sum: 4f7bfb14fa11d183c5cd0e150ed51806)
• builds under >= 1 archs, others excluded: OK (Koji)
• build dependencies complete: OK (Koji)
• locales handled using %find_lang, no %{_datadir}/locale: OK

• library -> ldconfig: MUSTFIX
This package ships some shared libraries, so ldconfig must be called on post and postun

• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• headers in -devel: OK
• devel requires versioned base package: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK (Koji)
• package functioned as described: so says Peter :)
• scriplets are sane: OK
• require package not files: OK

=================================

So basically there's a license thing that's not urgent, but probably worth noting somewhere, the description formatting issue, and ldconfig.
Comment 2 Peter Robinson 2009-08-21 19:21:30 EDT
> $ rpmlint moblin-panel-myzone-0.0.1-1.fc11.src.rpm 
> moblin-panel-myzone.src: E: description-line-too-long The Moblin mutter panel
> for MyZone. MyZone allows you to see that status of friends on
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
> 
>   Description needs Emacs M-q-ing

Fixed

> • license field accurate:
>   This is questionable. Unlike some other moblin-panel packages, the only C
> file in this package does not have a license header. Thus it cannot be possible
> to determine, per se, whether it's GPLv2 strict or v2+. From precedence, we can
> guess v2+, but could you prod upstream to add the missing header and/or write a
> clarification in README ?

I will email upstream and request clarification.

> • library -> ldconfig: MUSTFIX
> This package ships some shared libraries, so ldconfig must be called on post
> and postun

Fixed. No idea how I missed that one!

> • package functioned as described: so says Peter :)

Oh yes.... its running on rawhide on my eeePC as I type this :)

SRPM: http://pbrobinson.fedorapeople.org/moblin-panel-myzone-0.0.1-2.fc11.src.rpm
Comment 3 Michel Alexandre Salim 2009-08-21 19:57:03 EDT
All systems go. Speaking of netbooks, in your experience, does it go faster with hyperthreading on or off? I'm tempted to run mine with maxcpu=1 because once CPU usage goes near 100%, performance falls off a cliff :(

APPROVED
Comment 4 Peter Robinson 2009-08-21 20:03:08 EDT
Thanks. TBH I've never run mine with HT disabled. I don't use mine for much more than browser, ssh, IM and VoIP so its not overly taxed. I suppose it would depend on what your doing and how well threaded the apps are.

New Package CVS Request
=======================
Package Name: moblin-panel-myzone
Short Description: Moblin Panel for MyZone
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-08-24 15:51:37 EDT
cvs done.
Comment 6 Peter Robinson 2009-08-24 18:28:08 EDT
built in koji.
Comment 7 Peter Robinson 2009-08-25 12:48:51 EDT
In rawhide. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.